NX Open C++ Reference Guide
|
Represents a Mechatronics::PreventCollision builder. More...
Public Member Functions | |
NXOpen::SelectDisplayableObject * | FirstBody () |
Returns the first object. | |
NXOpen::SelectDisplayableObject * | SecondBody () |
Returns the second object. | |
void | SetFirstBody (NXOpen::DisplayableObject *firstBody) |
Sets the first object. | |
void | SetSecondBody (NXOpen::DisplayableObject *secondBody) |
Sets the second object. | |
![]() | |
NXString | Name () |
Returns the name. | |
void | SetName (const NXString &name) |
Sets the name. | |
void | SetName (const char *name) |
Sets the name. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Mechatronics::PreventCollision builder.
To create a new instance of this class, use Mechatronics::PreventCollisionCollection::CreatePreventCollisionBuilder
Created in NX7.5.1.
NXOpen::SelectDisplayableObject* NXOpen::Mechatronics::PreventCollisionBuilder::FirstBody | ( | ) |
Returns the first object.
This can be a RigidBody , CollisionBody or CollisionSensor .
Created in NX7.5.1.
License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")
NXOpen::SelectDisplayableObject* NXOpen::Mechatronics::PreventCollisionBuilder::SecondBody | ( | ) |
Returns the second object.
This can be a RigidBody , CollisionBody or CollisionSensor .
Created in NX7.5.1.
License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")
void NXOpen::Mechatronics::PreventCollisionBuilder::SetFirstBody | ( | NXOpen::DisplayableObject * | firstBody | ) |
Sets the first object.
This can be a RigidBody , CollisionBody or CollisionSensor .
Created in NX7.5.1.
License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")
firstBody | first body |
void NXOpen::Mechatronics::PreventCollisionBuilder::SetSecondBody | ( | NXOpen::DisplayableObject * | secondBody | ) |
Sets the second object.
This can be a RigidBody , CollisionBody or CollisionSensor .
Created in NX7.5.1.
License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")
secondBody | second body |